set svnpath=svn://dev.webdev.ouj.com/pub/wxgame/budingGame
set svntemp=./temp/pubsvn
set taskurl=http://dev.webdev.ouj.com/index.php?r=deploy/index&task_id=122
set respath=./build/wechatgame/res/raw-assets/resources
set subpath=./BudingOpenData

echo ****** 正在拉取最新 ******
call git pull

echo ****** 安装npm依赖 ******
call npm i

echo ****** 正在构建主域 ******
call npm run build
echo ****** 成功构建主域 ******
echo ...
echo ...

echo ****** 正在构建子域 ******
cd %subpath%
call npm run build
echo ****** 成功构建子域 ******
cd ../

echo ****** 正在压缩图片 ******
pngquant --quality=60-70 -vf --ext .png ./build/wechatgame/res/raw-assets/**/**/*.png

echo ****** 正在从svn checkout内容 ******
svn checkout %svnpath% %svntemp%

echo ****** 复制res目录到svn仓库对应位置 ******
cp -rf ./build/wechatgame/res %svntemp%

echo ****** 正在提交svn ******
cd %svntemp%
svn add --force * --auto-props --parents --depth infinity -q
svn commit -m 'commit'

echo ****** 清理临时svn目录 ******
cd ../../ && rm -rf %svntemp%

echo ****** 正在打开代码发布系统 ******
start %taskurl%

pause

REM echo '****** 开始rsync同步raw-assets内容到服务器 ******'
REM echo '...'

REM echo '****** 正在删除本地resource目录内容 ******'
REM rm -rf ${respath}
REM echo '...'
REM echo '...'

REM echo '****** 正在启动微信开发者工具 ******'
REM cli -o

REM echo '****** 开始上传到微信 ******'
REM cli -u 1.1.2@/Users/constance/Code/DWG/budingGame/build/wechatgame --upload-desc 'Test cli release'

